package com.qmth.teachcloud.report.business.bean.dto.excel;



import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class DimensionDto implements Serializable {

    @ExcelNote(value = "科目代码")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "科目名称")
    @NotNull
    private String paperName;

    @ExcelNote(value = "一级知识维度")
    @NotNull
    private String nameOne;

    @ExcelNote(value = "一级维度编号")
    @NotNull
    private String codeOne;

    @ExcelNote(value = "二级知识维度")
    private String nameTwo;

    @ExcelNote(value = "二级维度编号")
    private String codeTwo;

    @ExcelNote(value = "一级维度术语解释")
    private String interpretation;

    @ExcelNote(value = "模块")
    @NotNull
    private String module;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getNameOne() {
        return nameOne;
    }

    public void setNameOne(String nameOne) {
        this.nameOne = nameOne;
    }

    public String getCodeOne() {
        return codeOne;
    }

    public void setCodeOne(String codeOne) {
        this.codeOne = codeOne;
    }

    public String getNameTwo() {
        return nameTwo;
    }

    public void setNameTwo(String nameTwo) {
        this.nameTwo = nameTwo;
    }

    public String getCodeTwo() {
        return codeTwo;
    }

    public void setCodeTwo(String codeTwo) {
        this.codeTwo = codeTwo;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }
}
